<?php

namespace Diamond\Modules\AdminInfoPhp;

/**
 * Description of AdminInfoPhp
 *
 * @author Diamond Code Generator
 */
class AdminInfoPhp extends \Core\ModuleController
{
    public function process(): string
    {
        ob_start();
        phpinfo(INFO_GENERAL|INFO_MODULES|INFO_LICENSE|INFO_CREDITS);
        $res = preg_replace('~<style type=\"text\/css\">.*?<\/style>~is','',ob_get_clean());
        $res = preg_replace('~<table>~','<table class="stdtable">',$res);
        return $res;
    }

}               